Bug 82505 - glibc-2.3.1-38 kills vmware 3.2
glibc-2.3.1-38 kills vmware 3.2
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-22 17:12 EST by bzrh
Modified: 2016-11-24 10:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-23 13:51:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzrh 2003-01-22 17:12:14 EST
Description of problem:
VMWare bombs out with:

XIO:  fatal IO error 0 (Success) on X server ":0.0"
      after 2831 requests (2830 known processed) with 99 events remaining.

right after launch (while drawing UI).  This started right after I updated from rh8.0 stock glibc to 2.3.1-38 out of rawhide.

Version-Release number of selected component (if applicable):
glibc-2.3.1-38
VMwareWorkstation-3.2.0-2230

How reproducible:
100% reproducible.

Steps to Reproduce:
1./usr/bin/vmware
2.boom!
3.
    
Actual results:
vmware exits

Expected results:
vmware works

Additional info:
Comment 1 Michael Lee Yohe 2003-01-23 09:11:25 EST
Resolution == DUPLICATE (Bug 82551)

Mike Harris opened Bug 82551 - Red Hat does not official support VMWare's
virtual environment as an actual x86 environment.  Any problems with VMWare
should be handled by VMWare itself, not necessarily Red Hat as they have no
ability to peer into the source code where VMWare breaks.
Comment 2 bzrh 2003-01-23 11:56:43 EST
I don't believe the assignment as a duplicate of 82551 is appropriate.  The bug I reported is NOT of redhat running INSIDE vmware; rather, it is of VMWare running (and crashing) inside a native redhat host.  

As the "closing remarks" of 82551 note, RH tries, where possible, to make vmware be happy with rh, though not officially.  I would like to see this resolved under that clause :)

Thanks.
Comment 3 Michael Lee Yohe 2003-01-23 12:59:39 EST
Fair enough - but nonetheless, VMWare should be made aware that the new version
of glibc that will be included with Red Hat Linux 8.1 will break their software.
 There was another glibc related bug and the only solution was "please wait
until glibc itself is considered stable - the rawhide release can and will
produce inconsistencies with software built with older versions of glibc".
Comment 4 bzrh 2003-01-23 13:51:23 EST
Touche.  

vmware should be aware of this fact now.  Apparently the problem is that the vmware binary includes a couple of object files from libc 2.1.3 (!!!), and the new errno handling conflicts (obviously) with this.  Closing this bug, since it doesn't seem to be anything that redhat can do anything about.

FWIW, for posterity, Petr Vandrovec reports that LD_PRELOAD'ing the ld-2.3.1.so from rawhide's glibc-2.3.1-16 rpm makes vmware work again.  I haven't tried this yet (still trying to find a copy of that RPM).

Cheers.

Note You need to log in before you can comment on or make changes to this bug.